feldspar-compiler-0.6.0.2: Compiler for the Feldspar language

Safe Haskell | None

Feldspar.Compiler.Imperative.FromCore

Synopsis

- compileProgTop :: (Compile dom dom, Project (CLambda Type) dom) => String -> [Var] -> ASTF (Decor Info dom) a -> Mod
- class SyntacticFeld a => Compilable a internal | a -> internal
- fromCore :: SyntacticFeld a => String -> a -> Module ()
- buildInParamDescriptor :: SyntacticFeld a => a -> [Int]
- numArgs :: SyntacticFeld a => a -> Int

# Documentation

compileProgTop :: (Compile dom dom, Project (CLambda Type) dom) => String -> [Var] -> ASTF (Decor Info dom) a -> Mod

class SyntacticFeld a => Compilable a internal | a -> internal

Instances

SyntacticFeld a => Compilable a () |

fromCore :: SyntacticFeld a => String -> a -> Module ()

buildInParamDescriptor :: SyntacticFeld a => a -> [Int]

Create a list where each element represents the number of variables needed to as arguments

numArgs :: SyntacticFeld a => a -> Int